# Uses of Class
org.globus.util.GlobusResource

Packages that use GlobusResource
Package
Description
org.globus.gsi.stores
This package provides classes for accessing security material from generic "stores" (which can be defined via a url).
org.globus.util
Provides utility classes used throughout different packages.

## Uses of GlobusResource in org.globus.gsi.stores

Fields in org.globus.gsi.stores declared as GlobusResource
Modifier and Type
Field
Description
`protected GlobusResource`
CertKeyCredential.`globusCertFile`
`protected GlobusResource`
CertKeyCredential.`globusKeyFile`
`protected GlobusResource`
AbstractResourceSecurityWrapper.`globusResource`
`protected GlobusResource`
ResourceSigningPolicy.`globusResource`
Methods in org.globus.gsi.stores that return GlobusResource
Modifier and Type
Method
Description
`GlobusResource`
CertKeyCredential.`getCertificateFile()`
`GlobusResource`
AbstractResourceSecurityWrapper.`getGlobusResource()`
`GlobusResource`
CertKeyCredential.`getKeyFile()`
`GlobusResource`
ResourceSigningPolicy.`getResource()`
Methods in org.globus.gsi.stores with parameters of type GlobusResource
Modifier and Type
Method
Description
`protected abstract T`
AbstractResourceSecurityWrapper.`create(GlobusResource targetResource)`
`ResourceTrustAnchor`
ResourceCACertStore.`create(GlobusResource globusResource)`
`protected X509CRL`
ResourceCRL.`create(GlobusResource resource)`
`ResourceCRL`
ResourceCRLStore.`create(GlobusResource globusResource)`
`protected X509Credential`
ResourceProxyCredential.`create(GlobusResource globusResource)`
`ResourceProxyCredential`
ResourceProxyCredentialStore.`create(GlobusResource globusResource)`
`abstract T`
ResourceSecurityWrapperStore.`create(GlobusResource resource)`
`Map<X500Principal,SigningPolicy>`
ResourceSigningPolicy.`create(GlobusResource signingPolicyResource)`
`protected TrustAnchor`
ResourceTrustAnchor.`create(GlobusResource globusResource)`
`protected X509Credential`
CertKeyCredential.`createObject(GlobusResource certSource, GlobusResource keySource)`
`protected void`
AbstractResourceSecurityWrapper.`init(GlobusResource initialResource)`
`protected void`
AbstractResourceSecurityWrapper.`init(GlobusResource initialResource, T initialSecurityObject)`
`protected void`
CertKeyCredential.`init(GlobusResource initCertResource, GlobusResource initKeyResource)`
`protected void`
CertKeyCredential.`init(GlobusResource initCertFile, GlobusResource keyResource, X509Credential initCredential)`
`protected void`
ResourceSigningPolicy.`init(GlobusResource initResource)`
`protected void`
ResourceSigningPolicy.`init(GlobusResource initResource, Map<X500Principal,SigningPolicy> initSigningPolicy)`
Constructors in org.globus.gsi.stores with parameters of type GlobusResource
Modifier
Constructor
Description
``
`CertKeyCredential(GlobusResource certResource, GlobusResource keyResource)`
``
`CertKeyCredential(GlobusResource certResource, GlobusResource keyResource, X509Credential credential)`
``
`ResourceCRL(boolean inMemory, GlobusResource globusResource)`
``
`ResourceProxyCredential(boolean inMemory, GlobusResource globusResource, X509Credential object)`
``
`ResourceProxyCredential(GlobusResource globusResource)`
``
`ResourceSigningPolicy(GlobusResource resource)`
``
`ResourceTrustAnchor(boolean inMemory, GlobusResource globusResource)`
``
`ResourceTrustAnchor(boolean inMemory, GlobusResource globusResource, TrustAnchor cachedAnchor)`

## Uses of GlobusResource in org.globus.util

Methods in org.globus.util that return GlobusResource
Modifier and Type
Method
Description
`GlobusResource`
GlobusPathMatchingResourcePatternResolver.`getResource(String location)`
This method takes a location string and returns a GlobusResource of the corresponding location.
`GlobusResource[]`
GlobusPathMatchingResourcePatternResolver.`getResources(String locationPattern)`
Finds all the resources that match the Ant-Style locationPattern